| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::DriverVersion Struct Reference
Core » RenderSystem

DriverVersion is used by RenderSystemCapabilities and both GL and D3D9 to store the version of the current GPU driver. More...

`#include <OgreRenderSystemCapabilities.h>`

## Public Member Functions
| DriverVersion ()
void | fromString (const String &versionString)
String | toString () const

## Public Attributes
int | build
int | major
int | minor
int | release

## Detailed Description

DriverVersion is used by RenderSystemCapabilities and both GL and D3D9 to store the version of the current GPU driver.

## Constructor & Destructor Documentation

## ◆ DriverVersion()

Ogre::DriverVersion::DriverVersion | ( |  | ) |
| inline

## Member Function Documentation

## ◆ toString()

String Ogre::DriverVersion::toString | ( |  | ) | const
| inline

## ◆ fromString()

void Ogre::DriverVersion::fromString | ( | const String & | versionString | ) |
| inline

References Ogre::StringConverter::parseInt(), and Ogre::StringUtil::split().

Referenced by Ogre::RenderSystemCapabilities::parseDriverVersionFromString().

## Member Data Documentation

## ◆ major

int Ogre::DriverVersion::major

Referenced by Ogre::RenderSystemCapabilities::isDriverOlderThanVersion().

## ◆ minor

int Ogre::DriverVersion::minor

Referenced by Ogre::RenderSystemCapabilities::isDriverOlderThanVersion().

## ◆ release

int Ogre::DriverVersion::release

Referenced by Ogre::RenderSystemCapabilities::isDriverOlderThanVersion().

## ◆ build

int Ogre::DriverVersion::build

Referenced by Ogre::RenderSystemCapabilities::isDriverOlderThanVersion().

The documentation for this struct was generated from the following file:

- OgreRenderSystemCapabilities.h